# Tìm Chat ID của bot

> telegram_discover_chat — Chats that recently messaged the saved bot (to pick the chat id).

Source: https://x.builera.app/docs/vi/reference/telegram_discover_chat

`telegram_discover_chat` · Đọc dữ liệu đã lưu

> [!NOTE]
> Mô tả kỹ thuật bằng tiếng Anh — đúng chữ AI agent đọc qua MCP.

Chats that recently messaged the saved bot (to pick the chat id). Uses the stored token; the token itself is never returned or accepted here.

| | |
|---|---|
| REST | `POST /api/public/v1/telegram/discover-chat` |
| Công cụ MCP | `telegram_discover_chat` |
| Quyền cần có | `workspace.edit` — Chủ, Quản lý |
| Nhóm quyền | `infra:write` |
| Nhóm | VPS, proxy và cảnh báo |
| Hiện sẵn trong hồ sơ | — |

## Đầu vào {#input}

Không có đầu vào.

## Kết quả {#output}

Trả về trong phong bì `{ data, meta }`, không tạo việc trên X. Danh sách có `next_cursor` và `has_more`.

## Ví dụ {#example}

### Gọi qua REST {#example-rest}

```bash
curl -X POST "https://reach-link-craft.lovable.app/api/public/v1/telegram/discover-chat" \
  -H "Authorization: Bearer $XBUDDY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### Gọi qua MCP {#example-mcp}

```json
{
  "method": "tools/call",
  "params": {
    "name": "telegram_discover_chat",
    "arguments": {}
  }
}
```

## Lỗi có thể gặp {#errors}

| Mã | HTTP | Thử lại được |
|---|---|---|
| [`unauthorized`](/docs/vi/errors/unauthorized) | 401 | Không |
| [`key_expired`](/docs/vi/errors/key_expired) | 401 | Không |
| [`integration_revoked`](/docs/vi/errors/integration_revoked) | 401 | Không |
| [`connection_not_linked`](/docs/vi/errors/connection_not_linked) | 403 | Không |
| [`integration_paused`](/docs/vi/errors/integration_paused) | 403 | Không |
| [`workspace_integrations_paused`](/docs/vi/errors/workspace_integrations_paused) | 403 | Không |
| [`integration_authorization_lost`](/docs/vi/errors/integration_authorization_lost) | 403 | Không |
| [`workspace_suspended`](/docs/vi/errors/workspace_suspended) | 403 | Không |
| [`forbidden`](/docs/vi/errors/forbidden) | 403 | Không |
| [`invalid_input`](/docs/vi/errors/invalid_input) | 422 | Không |
| [`rate_limited`](/docs/vi/errors/rate_limited) | 429 | Có |
| [`internal`](/docs/vi/errors/internal) | 500 | Có |

[Về danh sách thao tác](/docs/vi/reference)
